heathmap plugin: the option to load a layer after analyses should be on by default
Status: Closed

Priority: Normal

Assignee: Arunmozhi P

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15825

Description

The most intuitive behaviour for users is to have the result of an analysis on screen, right after performing it. Not having it should be the

result of an explicit choice.

Associated revisions

Revision 8c97462b - 2014-03-28 11:12 AM - Alexander Bruy

add option to load result to canvas in Heatmap plugin (fix #6645)

History

#1 - 2012-11-08 10:18 PM - Arunmozhi P

- File autoLoadCheckBox.diff added

The default behaviour is to add to the map canvas. Kindly Refer code here: 

https://github.com/qgis/Quantum-GIS/blob/master/src/plugins/heatmap/heatmap.cpp#L292

I am adding a patch which gives a checkbox in the UI to enable/disable auto-loading of the raster explicitly.

#2 - 2012-11-08 10:19 PM - Arunmozhi P

- Pull Request or Patch supplied changed from No to Yes

#3 - 2014-03-28 03:12 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"8c97462b087fe2a180a6f2f4b711b735c8425314".

Files

autoLoadCheckBox.diff 2.43 KB 2012-11-08 Arunmozhi P
https://github.com/qgis/Quantum-GIS/blob/master/src/plugins/heatmap/heatmap.cpp#L292

